
//OLED DISPLAY

#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

// SCL GPIO5
// SDA GPIO4
#define OLED_RESET 0  // GPIO0
Adafruit_SSD1306 display(OLED_RESET);

#define NUMFLAKES 10
#define XPOS 0
#define YPOS 1
#define DELTAY 2


#define LOGO16_GLCD_HEIGHT 16
#define LOGO16_GLCD_WIDTH  16
static const unsigned char PROGMEM logo16_glcd_bmp[] =
{ B00000000, B11000000,
  B00000001, B11000000,
  B00000001, B11000000,
  B00000011, B11100000,
  B11110011, B11100000,
  B11111110, B11111000,
  B01111110, B11111111,
  B00110011, B10011111,
  B00011111, B11111100,
  B00001101, B01110000,
  B00011011, B10100000,
  B00111111, B11100000,
  B00111111, B11110000,
  B01111100, B11110000,
  B01110000, B01110000,
  B00000000, B00110000 };

#if (SSD1306_LCDHEIGHT != 48)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

// TEMPERATURE SENSOR

unsigned long lastlasttime;
unsigned long Nownow;


//BLYNK:
#define BLYNK_PRINT Serial    // Comment this out to disable prints and save space
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>


// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).


WidgetTerminal terminal(V1);
WidgetLCD lcd(V3);

int mashTempStage1;
int TempStage = mashTempStage1;
int mashTimeStage1;
int mashTempStage2;
int mashTimeStage2;
int mashTempStage3;
int mashTimeStage3;
int TimeStage = mashTimeStage1;
int timeTempEST;
int mashTempStage4;
int mashTimeStage4;
int boilTime = 5;

int boilTemp = 30;

int liters = 50; //The number of liters of boiled wort you are planning on having AFTER the boil.

int HopTime1 = 1;; // after how many minutes of boiling the wort should this hop be added? 
int HopTime2 = 2;;
int HopTime3 = 3;
int HopTime4 = 4;

bool isFirstConnect = true;
BLYNK_CONNECTED() {
 if (isFirstConnect) {
    Blynk.syncAll();
   isFirstConnect = false;
  }
}



BLYNK_WRITE(V31) {
mashTempStage1 = param.asInt();
Serial.print("temp stage1");
Serial.println(param.asInt());
}
BLYNK_WRITE(V35) {
mashTimeStage1 = param.asInt();
}
BLYNK_WRITE(V32) {
mashTempStage2 = param.asInt();
}
BLYNK_WRITE(V33) {
mashTimeStage2 = param.asInt();
}
BLYNK_WRITE(V34) {
mashTempStage3 = param.asInt();
}
BLYNK_WRITE(V36) {
mashTimeStage3 = param.asInt();
}
BLYNK_WRITE(V38) {
mashTempStage4 = param.asInt();
}
BLYNK_WRITE(V39) {
mashTimeStage4 = param.asInt();
}
BLYNK_WRITE(V30) {
boilTemp = param.asInt();
}
BLYNK_WRITE(V43) {
boilTime = param.asInt();
}

int brewStage = 0;
BLYNK_WRITE(V6) {
brewStage = param.asInt();
}
BLYNK_WRITE(V13) {
liters = param.asInt();
}
BLYNK_WRITE(V40) {
HopTime1 = param.asInt();
}
BLYNK_WRITE(V41) {
HopTime2 = param.asInt();
}
BLYNK_WRITE(V42) {
HopTime3 = param.asInt();
}

//TEMP:

#include <OneWire.h>
#include <DallasTemperature.h>
#define ONEWIRE_PIN 13

OneWire oneWire(ONEWIRE_PIN);
DallasTemperature sensors(&oneWire);


